package ls.memory;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.CountDownTimer;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageButton;
import android.widget.Toast;

import java.util.logging.Handler;


public class MainActivity extends AppCompatActivity
{

    private boolean offen[] = new boolean[13];
    private boolean geloest[] = new boolean[13];
    private int anzahlOffen=0;
    private int anzahlGeloest=0;

    private ImageButton letztesBild;
    private int letztesBildNr;

    private int klicks;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        this.bilderRegistrieren();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    public void bilderRegistrieren()
    {
        final ImageButton img1 = (ImageButton) findViewById(R.id.img1);

        img1.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(1,img1,R.drawable.badenbaden);
            }
        });

        final ImageButton img2 = (ImageButton) findViewById(R.id.img2);
        img2.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(2,img2,R.drawable.bodensee);
            }
        });

        final ImageButton img3 = (ImageButton) findViewById(R.id.img3);
        img3.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(3,img3,R.drawable.mannheim);
            }
        });

        final ImageButton img4 = (ImageButton) findViewById(R.id.img4);
        img4.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(4,img4,R.drawable.bodensee);
            }
        });

        final ImageButton img5 = (ImageButton) findViewById(R.id.img5);
        img5.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(5,img5,R.drawable.rastatt);
            }
        });

        final ImageButton img6 = (ImageButton) findViewById(R.id.img6);
        img6.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(6,img6,R.drawable.schwarzwald);
            }
        });

        final ImageButton img7 = (ImageButton) findViewById(R.id.img7);
        img7.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(7,img7,R.drawable.ulm);
            }
        });

        final ImageButton img8 = (ImageButton) findViewById(R.id.img8);
        img8.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(8,img8,R.drawable.ulm);
            }
        });

        final ImageButton img9 = (ImageButton) findViewById(R.id.img9);
        img9.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(9,img9,R.drawable.rastatt);
            }
        });

        final ImageButton img10 = (ImageButton) findViewById(R.id.img10);
        img10.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(10,img10,R.drawable.schwarzwald);
            }
        });

        final ImageButton img11 = (ImageButton) findViewById(R.id.img11);
        img11.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(11,img11,R.drawable.mannheim);
            }
        });

        final ImageButton img12 = (ImageButton) findViewById(R.id.img12);
        img12.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                umdrehen(12,img12,R.drawable.badenbaden);
            }
        });

    }



    public void umdrehen(int bildnr,ImageButton bild,int bildname)
    {
        if (!geloest[bildnr])
        {
            klicks++;
            if (offen[bildnr])
            {
                bild.setImageResource(R.drawable.wolken);
                offen[bildnr] = false;
                this.anzahlOffen--;
            }
            else
            {
                bild.setImageResource(bildname);
                bild.setTag(bildname);
                offen[bildnr] = true;
                this.anzahlOffen++;
                if (anzahlOffen == 1) {
                    letztesBild = bild;
                    letztesBildNr = bildnr;
                }
            }
            if (anzahlOffen == 2)
            {
                if (bild.getTag().toString().equals(letztesBild.getTag().toString())) {

                    Toast.makeText(this, "Treffer!", Toast.LENGTH_SHORT).show();
                    anzahlOffen--;
                    anzahlOffen--;
                    anzahlGeloest++;
                    anzahlGeloest++;
                    geloest[bildnr]=true;
                    geloest[letztesBildNr]=true;

                }
                else
                {
                    Toast.makeText(this, "Falsch", Toast.LENGTH_SHORT).show();
                    bild.setImageResource(R.drawable.wolken);
                    letztesBild.setImageResource(R.drawable.wolken);
                    offen[bildnr] = false;
                    offen[letztesBildNr] = false;
                    anzahlOffen--;
                    anzahlOffen--;
                }

            }
            if (anzahlGeloest==12)
            {
                Toast.makeText(this, "Fertig. Sie haben "+klicks+" Klicks benötigt!", Toast.LENGTH_SHORT).show();
            }
        }
    }

}
